using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：评价风险记录明细表相关设施
    /// </summary>
    [Description("导航属性：评价风险记录明细表相关设施")]
    public class T_HM_EVALUATE_RESULT_RISK_FACILITIES : MesEntityBase
    {
        /// <summary>
        /// 评价风险记录明细表ID
        /// </summary>
        [Description("评价风险记录明细表")]
        [DataFieldForeignKey("Nav_EvaluationResultRisk", "Nav_EvaluateRiskFacilities")]
        public Guid EVALUATION_RESULT_RISK_ID { get; set; }

        /// <summary>
        /// 相关设施ID
        /// </summary>
        [Description("相关设施")]
        [DataFieldForeignKey("Nav_Facilities")]
        [FormFieldEdit]
        public Guid FACILITIES_ID { get; set; }

        /// <summary>
        /// 导航属性：评价风险记录明细表
        /// </summary>
        [Description("导航属性：评价风险记录明细表")]
        public T_HM_EVALUATE_RESULT_RISK Nav_EvaluationResultRisk { get; set; }

        /// <summary>
        /// 导航属性：相关设施
        /// </summary>
        [Description("导航属性：相关设施")]
        public T_HM_FACILITIES Nav_Facilities { get; set; }
    }
}
